<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">

<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" />

<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GF9110"
	title	= "標準(タグ)"
	date	= "2008/10/27"
	author	= "Hiroki.Nakamura"
	text	= ""
	version	= "001"
/>
<!-- ワーニングメッセージです。ここでは、登録完了のメッセージを表示します。 -->
<og:errorMessage command="{@command}" clear="{@clear}" displayMsg="{@displayMsg}" />
<!-- 入力チェック -->
<og:columnCheck
	command   = "{@command}"
	columns   = "*"
/>

<!-- 取り消しボタンが押された時に必要です。 -->
<og:entry command="{@command}" />

<!-- DB検索 SQL文記述 debug="true" でSQL文を確認できます。-->
<og:query command="{@command}" debug="{@debug}" maxRowCount="{@maxRowCount}" >
	<!-- 先頭のカラム名が、"WRITABLE" の場合、'true' or '1' で、書き込み許可が与えら,'2' でチェック済みになります。-->
		select 	EVENTNO,DY_HATU,SET_GRP,TOKEN,SUBKEY,TKN_NM,ROWNO,COLNO,COLSPAN
				,BIKO,V_MIN,V_MAX,VAL,JUDG,CMNT,SEIZO,SEIHIN,SETUBI
				,UNIQ,FGJ,USRSET,DYSET,USRUPD,DYUPD
		from GG10
	<og:where>
		<og:and value = "EVENTNO	=    '{@EVENTNO}'"		/>
		<og:and value = "DY_HATU	like '{@DY_HATU}'"		/>
		<og:and value = "JUDG		=    '{@JUDG}'"			/>
		<og:and value = "VAL		like '{@VAL}'"			/>
		<og:and value = "TOKEN		like '{@TOKEN}'"		/>
		<og:and value = "SUBKEY		like '{@SUBKEY}'"		/>
		<og:and value = "TKN_NM		like '{@TKN_NM}'"		/>
		<og:and value = "BIKO		like '{@BIKO}'"			/>
		<og:and value = "SEIZO		like '{@SEIZO}'"		/>
		<og:and value = "SEIHIN		like '{@SEIHIN}'"		/>
		<og:and value = "SETUBI		like '{@SETUBI}'"		/>
		<og:and value = "CMNT		like '{@CMNT}'"			/>
	</og:where>
	<og:appear startKey = "order by" value = "{@ORDER_BY}"
				defaultVal = "EVENTNO,SET_GRP,ROWNO,COLNO" />
</og:query>

<og:columnEditor columns="EVENTNO,DY_HATU,SET_GRP,TOKEN,SUBKEY"	must="true" />
<og:columnEditor column="UNIQ"					must="true" />

<!-- formタグでリクエストフィールドを囲います。oneClick()関数は、２重押し防止JavaScriptです。 -->
<form method="POST" action="forward.jsp" target="RESULT" >
	<!-- 複写、変更、削除ボタンを作成します。value属性+.jspの画面に制御が移ります。 -->
	<!-- このとき、command=(value属性の値の大文字)が設定されます。 command属性で設定しなおすことも出来ます。-->
	<og:writeCheck>
		<og:submit  action="MODIFY"  columnWritable="VAL,JUDG,CMNT,SEIZO,SEIHIN,SETUBI"  />
	<br />
	</og:writeCheck>

	<!-- DB検索結果を表示させます。 -->
	<!-- checked="true" で、チェック済みの状態で表示できます。 -->
	<!-- selectedType="checkbox(デフォルト)/radio/hidden" から、選べます。-->
	<og:view
		viewFormType = "HTMLTable"
		command    = "{@command}"
		noDisplay  = "UNIQ,USRSET,DYSET,USRUPD,DYUPD,{@extDisplay}"
		checked    = "{@checked}"
		startNo    = "{@startNo}"
		pageSize   = "{@pageSize}"
	/>
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
