<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">

<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" />

<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GF9110"
	title	= "標準(タグ)"
	date	= "2008/10/27"
	author	= "Hiroki.Nakamura"
	text	= ""
	version	= "001"
/>
<!-- ワーニングメッセージです。ここでは、登録完了のメッセージを表示します。 -->
<og:errorMessage command="{@command}" clear="{@clear}" displayMsg="{@displayMsg}" />
<!-- 入力チェック -->
<og:columnCheck
	command   = "{@command}"
	columns   = "*"
/>

<!-- 取り消しボタンが押された時に必要です。 -->
<og:entry command="{@command}" />

<og:value command="SQL">
	select count(*) as CNT from GG10 where EVENTNO='{@EVENTNO}' and rownum=1
</og:value>

<!-- DB検索 SQL文記述 debug="true" でSQL文を確認できます。-->
<og:query command="{@command}" debug="{@debug}" maxRowCount="{@maxRowCount}" >
		select 	'{@EVENTNO}' as EVENTNO	,
				'{@DY_HATU}' as DY_HATU	,
				A.SET_GRP				,
				COALESCE( B.TOKEN	,A.TOKEN	) as TOKEN		,
				COALESCE( B.SUBKEY	,A.SUBKEY	) as SUBKEY		,
				COALESCE( B.TKN_NM	,A.TKN_NM	) as TKN_NM		,
				COALESCE( B.ROWNO	,A.ROWNO	) as ROWNO		,
				COALESCE( B.COLNO	,A.COLNO	) as COLNO		,
				COALESCE( B.COLSPAN	,A.COLSPAN	) as COLSPAN	,
				COALESCE( B.BIKO	,A.BIKO		) as BIKO		,
				COALESCE( B.V_MIN	,A.V_MIN	) as V_MIN		,
				COALESCE( B.V_MAX	,A.V_MAX	) as V_MAX		,
				B.VAL , B.JUDG , B.CMNT ,
				COALESCE( B.SEIZO	,'{@SEIZO}'	) as SEIZO		,
				COALESCE( B.SEIHIN	,'{@SEIHIN}') as SEIHIN		,
				COALESCE( B.SETUBI	,'{@SETUBI}') as SETUBI		,
				B.UNIQ,B.FGJ,B.USRSET,B.DYSET,B.USRUPD,B.DYUPD
		from GG02 A left outer join GG10 B
				on  A.SET_GRP	= B.SET_GRP
				and A.TOKEN		= B.TOKEN
				and A.SUBKEY	= B.SUBKEY
				and B.EVENTNO	= '{@EVENTNO}'
		where A.SET_GRP = '{@SET_GRP}'
		and   A.FGJ		= '1'
		order by ROWNO,COLNO
</og:query>

<og:columnEditor columns="EVENTNO,DY_HATU,SET_GRP,TOKEN,SUBKEY"	must="true" />
<og:columnEditor column="UNIQ"					must="true" />

<!-- formタグでリクエストフィールドを囲います。oneClick()関数は、２重押し防止JavaScriptです。 -->
<form method="POST" action="forward.jsp" target="RESULT" >
	<!-- 複写、変更、削除ボタンを作成します。value属性+.jspの画面に制御が移ります。 -->
	<!-- このとき、command=(value属性の値の大文字)が設定されます。 command属性で設定しなおすことも出来ます。-->
	<og:writeCheck>
		<og:submit  action="COPY"    noWritable="null"     caseKey="{@CNT}" caseVal="0" />
		<og:submit  action="MODIFY"  columnWritable="VAL,JUDG,CMNT,SEIZO,SEIHIN,SETUBI" caseKey="{@CNT}" caseVal="1" />
		<og:submit  action="DELETE"  columnWritable="null" caseKey="{@CNT}" caseVal="1" />
	<br />
	</og:writeCheck>

	<!-- DB検索結果を表示させます。 -->
	<!-- checked="true" で、チェック済みの状態で表示できます。 -->
	<!-- selectedType="checkbox(デフォルト)/radio/hidden" から、選べます。-->
	<og:view
		viewFormType = "HTMLTable"
		command    = "{@command}"
		noDisplay  = "UNIQ,USRSET,DYSET,USRUPD,DYUPD,{@extDisplay}"
		checked    = "{@checked}"
		startNo    = "{@startNo}"
		pageSize   = "{@pageSize}"
	/>
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
